<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.62.3.10.11
Name: Meting met BSN
Description: Meting met BSN
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.62.3.10.11-2012-03-11T000000-closed">
   <title>Meting met BSN</title>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="/*[not(@xsi:nil = 'true')][not(self::hl7:registrationProcess[not(@nullFlavor)])]"
         id="d42e67-true-d617e0">
      <assert role="warning"
              see="https://decor.nictiz.nl/pub/demo1/demo1-html-20250326T131556/tmp-2.16.840.1.113883.3.1937.99.62.3.10.11-2012-03-11T000000.html"
              test="not(.)">(m-bsn)/d42e67-true-d617e0: this element '<name/>' is not defined, or not defined with this content. This may concern the templateId, code or id. Expected in this context:  hl7:registrationProcess[not(@nullFlavor)] (rule-reference: d42e67-true-d617e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="/hl7:registrationProcess[not(@nullFlavor)]/*[not(@xsi:nil = 'true')][not(self::hl7:person[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']] | self::hl7:organizer)]"
         id="d42e88-true-d664e0">
      <assert role="warning"
              see="https://decor.nictiz.nl/pub/demo1/demo1-html-20250326T131556/tmp-2.16.840.1.113883.3.1937.99.62.3.10.11-2012-03-11T000000.html"
              test="not(.)">(m-bsn)/d42e88-true-d664e0: this element '<name/>' is not defined, or not defined with this content. This may concern the templateId, code or id. Expected in this context:  hl7:person[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']] | hl7:organizer (rule-reference: d42e88-true-d664e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:person[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']]/*[not(@xsi:nil = 'true')][not(self::hl7:id[@root = '2.16.840.1.113883.2.4.6.3'])]"
         id="d662e67-true-d682e0">
      <assert role="warning"
              see="https://decor.nictiz.nl/pub/demo1/demo1-html-20250326T131556/tmp-2.16.840.1.113883.3.1937.99.62.3.10.13-2012-03-11T000000.html"
              test="not(.)">(Persoon)/d662e67-true-d682e0: this element '<name/>' is not defined, or not defined with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id[@root = '2.16.840.1.113883.2.4.6.3'] (rule-reference: d662e67-true-d682e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer/*[not(@xsi:nil = 'true')][not(self::hl7:effectiveTime | self::hl7:author[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]] | self::hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]] | self::hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]])]"
         id="d693e18-true-d748e0">
      <assert role="warning"
              see="https://decor.nictiz.nl/pub/demo1/demo1-html-20250326T131556/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="not(.)">(Meting)/d693e18-true-d748e0: this element '<name/>' is not defined, or not defined with this content. This may concern the templateId, code or id. Expected in this context:  hl7:effectiveTime | hl7:author[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]] | hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]] | hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]] (rule-reference: d693e18-true-d748e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer/hl7:author[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/*[not(@xsi:nil = 'true')][not(self::hl7:code)]"
         id="d758e18-true-d774e0">
      <assert role="warning"
              see="https://decor.nictiz.nl/pub/demo1/demo1-html-20250326T131556/tmp-2.16.840.1.113883.3.1937.99.62.3.10.5-2011-01-28T000000.html"
              test="not(.)">(Metingdoor)/d758e18-true-d774e0: this element '<name/>' is not defined, or not defined with this content. This may concern the templateId, code or id. Expected in this context:  hl7:code (rule-reference: d758e18-true-d774e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']])]"
         id="d693e24-true-d810e0">
      <assert role="warning"
              see="https://decor.nictiz.nl/pub/demo1/demo1-html-20250326T131556/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="not(.)">(Meting)/d693e24-true-d810e0: this element '<name/>' is not defined, or not defined with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']] (rule-reference: d693e24-true-d810e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1'] | self::hl7:code[(@code = '27113001' and @codeSystem = '2.16.840.1.113883.6.96')] | self::hl7:value | self::hl7:entryRelationship[@typeCode = 'COMP'])]"
         id="d787e3-true-d851e0">
      <assert role="warning"
              see="https://decor.nictiz.nl/pub/demo1/demo1-html-20250326T131556/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="not(.)">(Meting)/d787e3-true-d851e0: this element '<name/>' is not defined, or not defined with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1'] | hl7:code[(@code = '27113001' and @codeSystem = '2.16.840.1.113883.6.96')] | hl7:value | hl7:entryRelationship[@typeCode = 'COMP'] (rule-reference: d787e3-true-d851e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:entryRelationship[@typeCode = 'COMP']/*[not(@xsi:nil = 'true')][not(self::ext:weightGain)]"
         id="d787e48-true-d885e0">
      <assert role="warning"
              see="https://decor.nictiz.nl/pub/demo1/demo1-html-20250326T131556/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="not(.)">(Meting)/d787e48-true-d885e0: this element '<name/>' is not defined, or not defined with this content. This may concern the templateId, code or id. Expected in this context:  ext:weightGain (rule-reference: d787e48-true-d885e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']])]"
         id="d693e29-true-d910e0">
      <assert role="warning"
              see="https://decor.nictiz.nl/pub/demo1/demo1-html-20250326T131556/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="not(.)">(Meting)/d693e29-true-d910e0: this element '<name/>' is not defined, or not defined with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']] (rule-reference: d693e29-true-d910e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2'] | self::hl7:code[(@code = '3137-7' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:value)]"
         id="d895e3-true-d939e0">
      <assert role="warning"
              see="https://decor.nictiz.nl/pub/demo1/demo1-html-20250326T131556/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="not(.)">(Meting)/d895e3-true-d939e0: this element '<name/>' is not defined, or not defined with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2'] | hl7:code[(@code = '3137-7' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:value (rule-reference: d895e3-true-d939e0)</assert>
   </rule>
</pattern>
